Download it now!
Bug 42375 - UI: Context menu should show "Insert row" instead of "Insert rows" if only one row is selected
Summary: UI: Context menu should show "Insert row" instead of "Insert rows" if only on...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu Cell-Management
  Show dependency treegraph
 
Reported: 2011-10-29 10:07 UTC by Milan Bouchet-Valat
Modified: 2017-06-07 18:38 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Bouchet-Valat 2011-10-29 10:07:31 UTC
When you right click on the column names, the context menu has a "_Insert rows" item whose effect is... to add *one* row without asking for further input. So it should obviously be renamed to "Insert a row", since it's kind of misleading.
Comment 1 vitriol 2011-10-29 10:13:56 UTC
To insert multiple rows you must select the same number of rows you want in the sheet. Not a bug for me.
Comment 2 Milan Bouchet-Valat 2011-10-29 10:45:41 UTC
Wow, incredible feature! I had never noticed it...definitely useful.

Though, I think it would really be better to say "Insert a row" when only one row is selected. We know beforehand what the item will do, so why not tell the user?
Comment 3 vitriol 2011-10-29 10:50:43 UTC
Enhancement
Comment 4 Antoni Segura Puimedon 2012-09-25 17:34:14 UTC
I think that this behavior of selecting as many rows in the sheet as one wants to insert is not very intuitive and it is detrimental to the UX.

IMHO it would be much better to have "Insert rows" pop up a menu asking for the amount of rows to be added. If that approach has the issue of losing a one step one row addition, we could have "Insert a row" and "Insert several rows".
Comment 5 Marina Latini (SUSE) 2014-05-08 14:08:31 UTC Comment hidden (obsolete)
Comment 6 Dangerotto 2014-05-08 16:32:22 UTC Comment hidden (me-too)
Comment 7 Marina Latini (SUSE) 2014-05-26 09:01:08 UTC Comment hidden (obsolete)
Comment 8 Yousuf Philips (jay) (retired) 2017-06-06 01:01:04 UTC
Creating UNO commands to detect when only a single column or row is selected and then modifying the existing contextual UNO commands to not work when only a single column or row is selected seems like alot of work for little benefit.

My suggestion is to simply change the labels from 'Columns' to 'Column(s)' and 'Rows' to 'Row(s)'.

Heiko, Stuart, Cor, Eike: What's your take?
Comment 9 V Stuart Foote 2017-06-06 03:42:20 UTC
(In reply to Yousuf Philips (jay) from comment #8)
> ...
> My suggestion is to simply change the labels from 'Columns' to 'Column(s)'
> and 'Rows' to 'Row(s)'.

+1
Comment 10 Heiko Tietze 2017-06-06 07:57:25 UTC
It's not only the row/rows issue. How plural is applied depends on languages. In many languages it's n=0 for singular and n>0 plural but French, for instance, has three forms (n=0, n=1, n>1) and Arab six different forms. The typical solution is to take the number into account for localization [1].
The abbreviation in brackets is the second best solution. The plural form depends in German on genus and loanword and can be (n/en), (r/er), (s), and sometimes without any suffix. In this case it's simple with Spalte(n) and Zeile(n) but there might be something like "<Row> (s/n/e/r)" in some languages. 
On the other hand the (s) a quick and dirty solution that solves this problem. So I'm not against. 
@Sophie: What do you think?

[1] https://www.gnu.org/software/gettext/manual/html_node/Plural-forms.html
Comment 11 Eike Rathke 2017-06-06 12:12:23 UTC
(In reply to Yousuf Philips (jay) from comment #8)
> My suggestion is to simply change the labels from 'Columns' to 'Column(s)'
> and 'Rows' to 'Row(s)'.
If it's really necessary to change the wording then this, yes. Differentiating on how many cols/rows are selected is not gonna fly.
Comment 12 sophie 2017-06-06 12:24:40 UTC
(In reply to Yousuf Philips (jay) from comment #8)
> Creating UNO commands to detect when only a single column or row is selected
> and then modifying the existing contextual UNO commands to not work when
> only a single column or row is selected seems like alot of work for little
> benefit.
> 
> My suggestion is to simply change the labels from 'Columns' to 'Column(s)'
> and 'Rows' to 'Row(s)'.
> 
> Heiko, Stuart, Cor, Eike: What's your take?

Small feedback, in French, it will be 'Insérer une (des) ligne(s)'... not very aesthetic, but it could be more complicated if the plural is marked by a different word. So I've no proposal else than staying as simple as possible and either chose a plural or a singular but not both. Sophie
Comment 13 Milan Bouchet-Valat 2017-06-06 13:33:40 UTC
In French at least, it seems that printing the number of rows that will be inserted would be much simpler: "Insérer 1 ligne" vs. "Insérer 2 lignes", "Insérer 3 lignes", etc.

I don't know whether that's also the case for languages with multiple plurals, but why wouldn't that work? It's probably not the only place where this kind of thing happens in the code base.
Comment 14 V Stuart Foote 2017-06-06 14:08:15 UTC
The status quo plural form is sufficient, or as Jay suggested use the Insert row(s), Insert column(s) plural form--and let the l10n translators adjust the label as they chose.

Making the context menu labeling contextual to respond to number of columns or rows selected is not going to happen. Adding a dialog as in comment 4 (think the Insert Table from Writer) might still be a valid approach--but that should be written up cleanly.

So this is really a WONTFIX for the enhancement of just changing labels on the context menu.
Comment 15 Yousuf Philips (jay) (retired) 2017-06-06 14:25:08 UTC
With multiple UNO commands out of the question and problems with having both singular and plural forms in the same string for translation, the best option is to retain the current plural string form.
Comment 16 sophie 2017-06-07 13:46:47 UTC
(In reply to Yousuf Philips (jay) from comment #15)
> With multiple UNO commands out of the question and problems with having both
> singular and plural forms in the same string for translation, the best
> option is to retain the current plural string form.

If you want an example of how plural might be complex, just an example, here is the plural of plik (file) in Polish 
1 = plik
2,3,4 = pliki
5-21 = pliko'w
22-24 = pliki
25-31 = pliko'w
and so on, so that may be why the singular forms have been there for so long time ;) Sophie
Comment 17 Yousuf Philips (jay) (retired) 2017-06-07 18:38:29 UTC
(In reply to sophie from comment #16)
> If you want an example of how plural might be complex, just an example, here
> is the plural of plik (file) in Polish 
> 1 = plik
> 2,3,4 = pliki
> 5-21 = pliko'w
> 22-24 = pliki
> 25-31 = pliko'w
> and so on, so that may be why the singular forms have been there for so long
> time ;) Sophie

I checked 3.3 and we've always used the plural forms. :D